Bug 107573 - Rename Tools > Outline Numbering to Chapter Numbering
Summary: Rename Tools > Outline Numbering to Chapter Numbering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.4.0.1 target:6.0.0
Keywords:
Depends on:
Blocks: Writer-Menus Help-Menu-Updates Outline-Numbering
  Show dependency treegraph
 
Reported: 2017-05-02 20:08 UTC by Yousuf Philips (jay)
Modified: 2017-06-28 14:43 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2017-05-02 20:08:50 UTC
As i recently tried out the eLAIX extension for bug 106781 and it had a button labelled 'Set Chapter Numbering' which enabled numbering of all 10 heading levels in Tools > Outline Numbering and Sophie mentioned in bug 104151 comment 21 that she translates it to chapter numbering in French and i see that the phrase chapter numbering is widely used and thought of for this feature, i think it would be good to change it.
Comment 1 Cor Nouws 2017-05-02 20:36:48 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> heading levels in Tools > Outline Numbering and Sophie mentioned in bug
> 104151 comment 21 that she translates it to chapter numbering in French and

same in Dutch :)
Comment 2 Regina Henschel 2017-05-02 20:41:21 UTC
In German too ("Kapitelnummerierung").
Comment 3 V Stuart Foote 2017-05-02 20:41:58 UTC
NO! 

The linkage between the Outline "Heading" paragraph Styles as annotation for Outline Numbering continues to make more sense.

Calling them "Chapters" or labeling it as "Chapter Numbering" obscures the fact that each "Outline" level paragraph Heading style can describe a unique numbering/notation scheme and layout description (indenting and line spacing). 

It is by nature hierarchical allowing a user to follow the structural layout of the document format/standard in use.

The dialog provides by definition a framework for Outline not Chapter/Section numbering.

=-=-=
https://en.wikipedia.org/wiki/Outline_(list)
Comment 4 Cor Nouws 2017-05-02 22:02:57 UTC
(In reply to V Stuart Foote from comment #3)

> The linkage between the Outline "Heading" paragraph Styles as annotation for
> Outline Numbering continues to make more sense.
> 
> Calling them "Chapters" or labeling it as "Chapter Numbering" obscures the
> fact that each "Outline" level paragraph Heading style can describe a unique
> numbering/notation scheme and layout description (indenting and line
> spacing). 
> ...

I know that. However, more experienced people will realize/find that. Less experienced people will look for .. chapter numbering, I think.
Comment 5 Yousuf Philips (jay) 2017-05-02 23:22:48 UTC
(In reply to V Stuart Foote from comment #3)
> The linkage between the Outline "Heading" paragraph Styles as annotation for
> Outline Numbering continues to make more sense.

Linkage not intended to be removed.

> Calling them "Chapters" or labeling it as "Chapter Numbering" obscures the
> fact that each "Outline" level paragraph Heading style can describe a unique
> numbering/notation scheme and layout description (indenting and line
> spacing). 

The intent is to only change the menu label, i think 'Chapter and Outline Numbering' is a bit to long though that is fine as well as it doesnt increase the menu width much, and changing the dialog title to 'Chapter and Outline Numbering'.

(In reply to Cor Nouws from comment #4)
> I know that. However, more experienced people will realize/find that. Less
> experienced people will look for .. chapter numbering, I think.

Yes the intent is to make it easier for less experienced to find it, similar to us changing 'Indexes and Tables' to 'Table of Contents and Index' in the insert menu, as though there are multiple table indexes that can be created with the function, most users are would be looking to find the 'table of contents' phrase.
Comment 6 sophie 2017-05-03 08:20:48 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> (In reply to V Stuart Foote from comment #3)
> > The linkage between the Outline "Heading" paragraph Styles as annotation for
> > Outline Numbering continues to make more sense.
> 
> Linkage not intended to be removed.
> 
> > Calling them "Chapters" or labeling it as "Chapter Numbering" obscures the
> > fact that each "Outline" level paragraph Heading style can describe a unique
> > numbering/notation scheme and layout description (indenting and line
> > spacing). 
> 
> The intent is to only change the menu label, i think 'Chapter and Outline
> Numbering' is a bit to long though that is fine as well as it doesnt
> increase the menu width much, and changing the dialog title to 'Chapter and
> Outline Numbering'.

Hi Jay, I agree with the renaming of 'Chapter and Outline Numbering' that will make it clear for both beginners and advanced users. The string should not be too long either in other languages, so l10n seems ok too. Sophie
Comment 7 Yousuf Philips (jay) 2017-05-03 10:59:01 UTC
(In reply to sophie from comment #6)
> Hi Jay, I agree with the renaming of 'Chapter and Outline Numbering' that
> will make it clear for both beginners and advanced users. The string should
> not be too long either in other languages, so l10n seems ok too. Sophie

Hi Sophie, well i assume even with this change in english, all the languages that are translating it to 'Chapter Numbering' will continue to do so. :D
Comment 8 sophie 2017-05-03 11:04:14 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> (In reply to sophie from comment #6)
> > Hi Jay, I agree with the renaming of 'Chapter and Outline Numbering' that
> > will make it clear for both beginners and advanced users. The string should
> > not be too long either in other languages, so l10n seems ok too. Sophie
> 
> Hi Sophie, well i assume even with this change in english, all the languages
> that are translating it to 'Chapter Numbering' will continue to do so. :D

I don't think so as it adds precision to the label. L10n follows as much as possible the source, unless it's not understandable/clear enough in the target languages. And in that case, most of the time, it's because the source is not and has to be changed. Sophie
Comment 9 V Stuart Foote 2017-05-03 11:47:15 UTC
(In reply to Yousuf Philips (jay) from comment #5)
...
> 
> The intent is to only change the menu label, i think 'Chapter and Outline
> Numbering' is a bit to long though that is fine as well as it doesnt
> increase the menu width much, and changing the dialog title to 'Chapter and
> Outline Numbering'.
> 

No objection to "Chapter and Outline Numbering", will fit the dialog for sure.
Comment 10 Yousuf Philips (jay) 2017-05-03 12:05:26 UTC
(In reply to V Stuart Foote from comment #9)
> No objection to "Chapter and Outline Numbering", will fit the dialog for
> sure.

What is so hilarious is the UNO command name - .uno:ChapterNumberingDialog. :D
Comment 11 Yousuf Philips (jay) 2017-05-03 12:15:33 UTC
Patch is in. https://gerrit.libreoffice.org/#/c/37200/
Comment 12 Adolfo Jayme 2017-05-03 12:57:12 UTC
-1 to “Chapter and Outline Numbering”. I already had to deal with another ridiculously verbose name some releases ago, and that was “Table of Contents, Index and Bibliography”, for which I had to use a rare word, “sumario”, which was much shorter than “índice de contenido”. Please think of how those “everything-included” names look when translated.

Also, it’s funny than we are considering going back to StarOffice times w.r.t. the name of this command…

I subscribe to everything said by Stuart.
Comment 13 V Stuart Foote 2017-05-03 14:13:30 UTC
(In reply to Yousuf Philips (jay) from comment #10)
> (In reply to V Stuart Foote from comment #9)
> > No objection to "Chapter and Outline Numbering", will fit the dialog for
> > sure.
> 
> What is so hilarious is the UNO command name - .uno:ChapterNumberingDialog.
> :D

An unfortunate name choice for the UNO command, most of the logic and command syntax for handling Outline is in http://opengrok.libreoffice.org/xref/core/sw/source/core/doc/docnum.cxx

Despite UNO command name it can be seen as Outline in the source internally, and for ODF support (19.844) that it is intended to manage Outline.

I am still OK with labeling it "Chapter and Outline Numbering"; but "Chapter", as from the eLAIX extension for ePUB and ILAIS generation, is rather a specialized use.

=-ref-=

bug 74477

LO uses paragraph styling for the Headings assigned outline level as in 19.844
http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#__RefHeading__1419062_253892949

Not sure why we don't make use of 16.34, 16.35 to style these
http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#__RefHeading__1416438_253892949
Comment 14 Yousuf Philips (jay) 2017-05-03 14:53:37 UTC
(In reply to Adolfo Jayme from comment #12)
> -1 to “Chapter and Outline Numbering”.

So are you for having it just as 'Chapter Numbering'?

> I already had to deal with another
> ridiculously verbose name some releases ago, and that was “Table of
> Contents, Index and Bibliography”, for which I had to use a rare word,
> “sumario”, which was much shorter than “índice de contenido”. Please think
> of how those “everything-included” names look when translated.

When you have single UNO commands that have alot of different options in it and users are searching for a function with a particular name, there isnt much that can be done. The command used to have a stupid name of 'Indexes and Tables' which nobody looking for inserting a table of contents or a bibliography would ever think to look into. Ideally we would have 3 separate UNO commands to launch the dialog in each of the main three modes and then we can single names for each of the labels (bug 107599).

> Also, it’s funny than we are considering going back to StarOffice times
> w.r.t. the name of this command…

So in StarOffice times it was labelled 'Chapter Numbering', interesting.
Comment 15 Regina Henschel 2017-05-03 15:28:14 UTC
Beginners tend to use list numbering for chapters and wonder, why they do not get a TOC and do not see their headings in the Navigator.

Having the term "Outline" in the "Bullets and Numbering"-dialog and having the same term in the menu Tools is confusing. And the "Outline numbering" dialog from then Tools menu, can never be used to style a list.

Therefore I support to rename the menu item in Tools from "Outline Numbering" to "Chapter Numbering", so it can be easily identified as correct tool for chapter numbering.


(In reply to V Stuart Foote from comment #13)

> 
> LO uses paragraph styling for the Headings assigned outline level as in
> 19.844
> http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.
> html#__RefHeading__1419062_253892949

That section is about text fields and not related.

> 
> Not sure why we don't make use of 16.34, 16.35 to style these
> http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.
> html#__RefHeading__1416438_253892949

The chapter numbering which you set by Tools > Outline Numbering is stored as <text:outline-style> in the file styles.xml. So I do not understand your "we don't make use of 16.34"
Comment 16 Regina Henschel 2017-05-03 15:34:03 UTC
My error: 19.844 is about attribute text:outline-level and that is used in a lot of totally different elements.
Comment 17 V Stuart Foote 2017-05-03 16:47:09 UTC
(In reply to Regina Henschel from comment #15)
...
> > 
> > Not sure why we don't make use of 16.34, 16.35 to style these
> > http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.
> > html#__RefHeading__1416438_253892949
> 
> The chapter numbering which you set by Tools > Outline Numbering is stored
> as <text:outline-style> in the file styles.xml. So I do not understand your
> "we don't make use of 16.34"

Oh right as usual. Looking at it in .fodt--I got tripped up by the "text:outline-level" (19.844.4) in the office:text and its tex:style-name and the heading style names, rather than the 16.34 & 16.35 for the text:outline-style and text:outline-level-style that kept their defaults.
Comment 18 Adolfo Jayme 2017-05-03 19:47:15 UTC
(In reply to Yousuf Philips (jay) from comment #14)
> So are you for having it just as 'Chapter Numbering'?

Yes, just “Chapter Numbering”, please. If you can also rename the dialog in the same patch, it’d be great.
Comment 19 V Stuart Foote 2017-05-03 20:04:36 UTC
I give in... go ahead and change the .uno command association and Dialog title to "Chapter Numbering"
Comment 20 Yousuf Philips (jay) 2017-05-03 20:32:56 UTC
(In reply to Adolfo Jayme from comment #18)
> Yes, just “Chapter Numbering”, please. If you can also rename the dialog in
> the same patch, it’d be great.

Yes the patch renamed the dialog as well.

(In reply to V Stuart Foote from comment #19)
> I give in... go ahead and change the .uno command association and Dialog
> title to "Chapter Numbering"

So consensus. :D

Patch has been updated.
Comment 21 David 2017-05-03 21:04:42 UTC
So what about those people who are looking for a way to create outlines and all they see is something about chapters?

What about naming it Chapter Outlines, if it must be changed?
Comment 22 Commit Notification 2017-05-04 12:42:07 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d609bfece4a83c9a65a2d5f2d912646419cfa8c

tdf#107573 change label of outline numbering in menu and dialog

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Yousuf Philips (jay) 2017-05-04 22:19:04 UTC
Stumbled on bug 83071 which is somewhat related and it would be good for everyone to give their input there, except for Cor. :D
Comment 24 Commit Notification 2017-06-16 10:50:29 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=2c804b6389a57317d3bdecb7c80fbb6fe2868013&h=libreoffice-5-4

tdf#107573 help page for change of UI term outline
Comment 25 Commit Notification 2017-06-16 10:51:52 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=e24e053c82ad4ee86dd7eb4e9490c9c62af2b291

tdf#107573 help page for change of UI term outline